DELETE/api/loyalty-programs/merchants/{merchantId}

Delete merchant (legacy endpoint compatibility).

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
merchantId (path)unknownYesThe merchant ID

Responses

204 — No Content

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
typestringNo
titlestringNo
statusunknownNo
detailstringNo
instancestringNo

Example request

curl -X DELETE "https://{base_url}/api/loyalty-programs/merchants/{merchantId}" \
  -H "x-api-key: YOUR_API_KEY"

This page is generated from the live OpenAPI specification and always matches the current API.